# pause

modo de pausa, invoca teclado

## Descrição

Alterna para o modo `pause` ; inserido no código de uma função, `pause` interrompe a execução da mesma: recebe-se um símbolo de prompt para indicar o nível de `pause` (exemplo: `-1->`). O usuário está agora num novo espaço de trabalho em que todas as variáveis de nível infeiror (em particular todas as variáveis da função) estão disponíveis. Para retornar ao espaço de trabalho de chamamento, entre `"return"`

Neste modo, `[...]=return(...)` retorna as variáveis dos argumentos `(...)` ao espaço de trabalho de chamamento com nomes na saída`[...]`. Em caso contrário, as variáveis de nível infeiror são protegidas e não podem ser modificadas.

`pause` é extremamente útil para propósitos de depuramento.

Este modo pode ser cancelado pelo comando `"abort"`.

## Ver Também

- halt
- return
- abort
- quit
- whereami
- where
- sleep